package tutorial.sample.notice.imart_struts;

import javax.servlet.http.HttpServletRequest;

import org.apache.struts.action.ActionError;
import org.apache.struts.action.ActionErrors;
import org.apache.struts.action.ActionForm;
import org.apache.struts.action.ActionMapping;

/**
 * @author NTTDATA intra-mart
 *
 */
public class NoticeRegistForm extends ActionForm {
	private String title;
	private String content;

	/**
	 * ftHgRXgN^
	 */
	public NoticeRegistForm() {
		super();
	}

	/**
	 * Returns the content.
	 * @return String
	 */
	public String getContent() {
		return content;
	}

	/**
	 * Returns the title.
	 * @return String
	 */
	public String getTitle() {
		return title;
	}

	/**
	 * Sets the content.
	 * @param content The content to set
	 */
	public void setContent(String content) {
		this.content = content;
	}

	/**
	 * Sets the title.
	 * @param title The title to set
	 */
	public void setTitle(String title) {
		this.title = title;
	}
	
	/**
	 * @see org.apache.struts.action.ActionForm#validate(ActionMapping, HttpServletRequest)
	 */
	public ActionErrors validate(ActionMapping arg0, HttpServletRequest arg1) {
		ActionErrors errors = new ActionErrors();
		
		if(title != null && title.equals("")){
			ActionError error = new ActionError("title_null_error");
			errors.add(ActionErrors.GLOBAL_ERROR, error);
		}
		
		if(content != null && content.equals("")){
			ActionError error = new ActionError("content_null_error");
			errors.add(ActionErrors.GLOBAL_ERROR, error);
		}
		
		return errors;
	}

}
