package tutorial.sample.notice.imart_struts;

import java.io.IOException;
import java.util.Date;

import javax.servlet.ServletException;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;
import jp.co.intra_mart.framework.extension.common.util.ServiceUtils;

import org.apache.struts.action.Action;
import org.apache.struts.action.ActionForm;
import org.apache.struts.action.ActionForward;
import org.apache.struts.action.ActionMapping;
import tutorial.sample.notice.model.event.NoticeRegistEvent;
import tutorial.sample.notice.model.object.NoticeInf;

/**
 * @author NTTDATA intra-mart
 *
 */
public class NoticeRegistAction extends Action {

	/**
	 * ftHgRXgN^
	 */
	public NoticeRegistAction() {
		super();
	}

	/**
	 * @see org.apache.struts.action.Action#perform(ActionMapping, ActionForm, ServletRequest, ServletResponse)
	 */
	public ActionForward perform(
			ActionMapping mapping,
			ActionForm form,
			HttpServletRequest request,
			HttpServletResponse response)
			throws IOException, ServletException {
		NoticeRegistForm registForm = (NoticeRegistForm)form;
		String title;
		String content;
		Date date;
		String author;
		
		try {
			// fo^p̃CX^X̏
			NoticeInf notice = new NoticeInf();
			
			// ^CgAeActionForm擾
			title = registForm.getTitle();
			author = ServiceUtils.getLoginUserID(request, response);
			date = new Date();
			content = registForm.getContent();
			
			// f쐬
			notice.setTitle(title);
			notice.setAuthor(author);
			notice.setRegistDate(date);
			notice.setContent(content);
			
			// CxǧĂяo
			NoticeRegistEvent event = (NoticeRegistEvent)ServiceUtils.createEvent("tutorial_notice", "notice_regist", request, response);
			// Cxgւ̌f̓o^
			event.setNotice(notice);
			// Cxg̎s
			ServiceUtils.dispatchEvent(event);
		} catch (Exception e) {
			throw new ServletException(e.getMessage(), e);
		}
		 
		return mapping.findForward("TutorialNoticeRegist");
	}

}
