package notice.model.event;

import notice.model.data.NoticeDAOIF;
import notice.model.object.NoticeInf;

import jp.co.intra_mart.framework.base.event.Event;
import jp.co.intra_mart.framework.base.event.EventResult;
import jp.co.intra_mart.framework.base.event.StandardEventListener;
import jp.co.intra_mart.framework.system.exception.ApplicationException;
import jp.co.intra_mart.framework.system.exception.SystemException;

/**
 * fo^CxgXi[
 * 
 * @author NTTDATA intra-mart
 */
public class NoticeRegistEventListener extends StandardEventListener {

    /**
     * @param event Cxg
     * @return EventResult 
     * @see jp.co.intra_mart.framework.base.event.StandardEventListener#fire(Event)
     */
    protected EventResult fire(Event event)
                    throws SystemException, ApplicationException {
        NoticeRegistEvent noticeRegistEvent;
        NoticeInf notice;
        NoticeDAOIF dao;
         
        // Cxg̃LXg
        noticeRegistEvent = (NoticeRegistEvent)event;
        // o^f̎擾
        notice = noticeRegistEvent.getNotice();
        
        // dao̎擾
        dao = (NoticeDAOIF)getDAO("notice.conf.notice","notice_inf",noticeRegistEvent.getUserInfo().getLoginGroupID());
        dao.insert(notice);
        
        return null;
    }

}
